#include "si3d.h"

int
d_button(int msg, DIALOG *d, int c)
{
  switch (msg) {
  case MSG_DRAW:
    blit(background[0].dat, za_monitor, d->x, d->y, d->x, d->y, d->w, d->h);
    if (d->flags & D_GOTFOCUS) { 
      textout(za_monitor, font, d->dp, d->x, d->y, makecol(255,255,0));
    } else {
      textout(za_monitor, font, d->dp, d->x, d->y, makecol(255,255,255));
    }

    blit(za_monitor, monitor, d->x, d->y, d->x, d->y, d->w, d->h);
    return D_O_K;
    break;
  case MSG_WANTFOCUS:
    return D_WANTFOCUS;
    break;
  case MSG_CHAR:
    if ((c >> 8 == KEY_ENTER) || (c >> 8 == KEY_SPACE)) return D_CLOSE;
    break;
  }

  return D_O_K;
}

int
d_credits(int msg, DIALOG *d, int c)
{
  switch (msg) {
  case MSG_DRAW:
		boja_fonta = makecol(220,220,20);
		textprintf(aktivni, font, 70, 140, boja_fonta, "Original Author: Ante Brkic - Karlovac, Croatia <abrkic@linux.hr>");
		textprintf(aktivni, font, 70, 180, boja_fonta, "Maintained by SI3D Development group <si3d@cvs.linux.hr>");
		textprintf(aktivni, font, 70, 195, boja_fonta, "Please report bugs, suggestions or anything to si3d group  e-mail.");
		textprintf(aktivni, font, 70, 210, boja_fonta, "If you are interested in helping developing this application");
		textprintf(aktivni, font, 70, 225, boja_fonta, "or you are interested in game developing under Linux in general");
		textprintf(aktivni, font, 70, 240, boja_fonta, "don't hesitate to e-mail us.");
		textprintf(aktivni, font, 70, 255, boja_fonta, "Enjoy playing and don't forget to visit game homepage at: ");
		textprintf(aktivni, font, 70, 270, boja_fonta, "http://cvs.linux.hr/si3d/ (game updates, ports, help, ...)");
		textprintf(aktivni, font, 70, 290, boja_fonta, "Distributed under GNU public license (http://www.gnu.org/).");
		textprintf(aktivni, font, 70, 310, boja_fonta, "Thanks goes to:");
		boja_fonta = makecol(180,180,40);
		textprintf(aktivni, font, 85, 325, boja_fonta, "Mirko Varga, prof. <mvarga@foi.hr>");
		textprintf(aktivni, font, 85, 340, boja_fonta, "Sasa Dragic <sdragic@jagor.srce.hr>");
		textprintf(aktivni, font, 85, 355, boja_fonta, "Vlatko Kosturjak <kost@iname.com>");
		textprintf(aktivni, font, 85, 370, boja_fonta, "Robert Avilov <ravilov@linux.hr>");
		textprintf(aktivni, font, 85, 385, boja_fonta, "Dario Lah <dlah@foi.hr>");
		textprintf(aktivni, font, 85, 400, boja_fonta, "Arturo Espinosa <arturo@ximian.com>");
		textprintf(aktivni, font, 85, 415, boja_fonta, "Dejan Dakic <ddakic@foi.hr>");
		textprintf(aktivni, font, 85, 430, boja_fonta, "...and others (see AUTHORS for details)");
		boja_fonta = makecol(250,20,20);
		break;
  }

  return D_O_K;
}

int
d_screenshot(int msg, DIALOG *d, int c)
{
  switch (msg) {
  case MSG_DRAW:
    blit(background[0].dat, za_monitor, d->x, d->y, d->x, d->y, d->w, d->h);
    if (d->flags & D_GOTFOCUS) { 
      textout(za_monitor, font, d->dp, d->x, d->y, makecol(255,255,0));
      if (!d->d1) {
	graphics = load(d->dp2);
	blit(graphics[0].dat, za_monitor,
	     0, 0, 200, 150, 320, 240);
	unload(graphics);
      }
    } else {
      textout(za_monitor, font, d->dp, d->x, d->y, makecol(255,255,255));
      if (!d->d1) {
	blit(background[0].dat, za_monitor,
	     200, 150, 200, 150, 320, 240);
      }
    }

    blit(za_monitor, monitor, d->x, d->y, d->x, d->y, d->w, d->h);
    blit(za_monitor, monitor, 200, 150, 200, 150, 320, 240);
    if (d->d1) d->d1--;
    return D_O_K;
    break;
  case MSG_WANTFOCUS:
    return D_WANTFOCUS;
    break;
  case MSG_CHAR:
    if ((c >> 8 == KEY_ENTER) || (c >> 8 == KEY_SPACE)) return D_CLOSE;
    break;
  }

  return D_O_K;
}

int
d_option(int msg, DIALOG *d, int c)
{
  switch (msg) {
  case MSG_DRAW:
    blit(background[0].dat, za_monitor, d->x, d->y, d->x, d->y, d->w, d->h);
    if (d->flags & D_GOTFOCUS) { 
      textout(za_monitor, font, d->dp, d->x, d->y, makecol(255,255,0));
    } else {
      textout(za_monitor, font, d->dp, d->x, d->y, makecol(255,255,255));
    }
    switch (d->d1) {
    case 1:
      textprintf(za_monitor, font, d->x + text_length(font, d->dp) + 15, 
		 d->y, makecol(255,255,255), "%i", broj_teams);
      break;
    case 2:
      textprintf(za_monitor, font, d->x + text_length(font, d->dp) + 15, 
		 d->y, makecol(255,255,255), "%i", broj_team_size);
      break;
    case 3:
      textprintf(za_monitor, font, d->x + text_length(font, d->dp) + 15,
		 d->y, makecol(255,255,255), "%i", max_broj_rundi);
      break;
    case 4:
      switch (jacina_vjetra) {
      case 0:
	textout(za_monitor, font, "OFF",  d->x + text_length(font, d->dp)+ 15, 
		d->y, makecol(255,255,255));
	break;
      case 1:
	textout(za_monitor, font, "WEAK",  d->x + text_length(font, d->dp)+15, 
		d->y, makecol(255,255,255));
	break;
      case 2:
	textout(za_monitor, font, "MEDIUM", d->x + text_length(font, d->dp)+15,
		d->y, makecol(255,255,255));
	break;
      case 3:
	textout(za_monitor, font, "STRONG", d->x + text_length(font, d->dp)+15,
		d->y, makecol(255,255,255));
	break;
      }
      break;
    case 5:
      if (promjena_vjetra) {
	textout(za_monitor, font, "ON",  d->x + text_length(font, d->dp)+15, 
		d->y, makecol(255,255,255));
      } else {
	textout(za_monitor, font, "OFF",  d->x + text_length(font, d->dp)+15,
		d->y, makecol(255,255,255));
      }
      break;
    } /* switch d1 */

    blit(za_monitor, monitor, d->x, d->y, d->x, d->y, d->w, d->h);
    return D_O_K;
    break;
  case MSG_WANTFOCUS:
    return D_WANTFOCUS;
    break;
  case MSG_CHAR:
    if ((c >> 8 == KEY_ENTER) || (c >> 8 == KEY_SPACE)) return D_CLOSE;
    break;
  }

  return D_O_K;
}
